%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-SDL_mixer
Version:        1.2.11
Release:        1%{?dist}
Summary:        MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://www.libsdl.org/projects/SDL_mixer/
Source0:        http://www.libsdl.org/projects/SDL_mixer/release/SDL_mixer-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 49
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-dlfcn
BuildRequires:  mingw32-iconv
BuildRequires:  mingw32-SDL

Requires:       pkgconfig

%description
A simple multi-channel audio mixer for SDL. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.

%{_mingw32_description}

# Automatically create a debuginfo package
%{?_mingw32_debug_package}

%prep
%setup -q -n SDL_mixer-%{version}

%build
%{_mingw32_configure} \
    --disable-dependency-tracking \
    --enable-music-mod \
    --disable-static

# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# silence rpmlint:
iconv --from=ISO-8859-1 --to=UTF-8 CHANGES > CHANGES.new && \
touch -r CHANGES CHANGES.new && \
mv CHANGES.new CHANGES

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README CHANGES COPYING
%{_mingw32_bindir}/SDL_mixer.dll
%{_mingw32_libdir}/libSDL_mixer.dll.a
%{_mingw32_libdir}/pkgconfig/SDL_mixer.pc
%{_mingw32_libdir}/libSDL_mixer.la
%{_mingw32_includedir}/SDL

%changelog
* Tue Oct 19 2010 Stefan Riemens <fgfs.stefan@gmail.com> - 1.2.11-1
- Fix debuginfo package generation
- Fix defattr line

* Sat Sep 25 2010 Stefan Riemens <fgfs.stefan@gmail.com> - 1.2.11-0
- New upstream version

* Wed Nov 25 2009 Stefan Riemens <fgfs.stefan@gmail.com> - 1.2.8-3
- Remove explicit requires: on mingw32-SDL
- Fix non-utf-8 file encoding
- Autogenerate debuginfo subpackage

* Thu Nov 11 2009 Jason Woofenden <jason@jasonwoof.com> - 1.2.8-2
- use macro global instead of define in this spec file
- description no longer (falsely) claims we have midi and .ogg support

* Thu Jun 18 2009 Jason Woofenden <jason@jasonwoof.com> - 1.2.8-1
- Initial RPM release.
